## kitinerary 25.12.1+p24.04+vunstable+git20260106.2016

=== debian/changelog ===
kitinerary (25.12.1+p24.04+vunstable+git20260106.2016-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 20:16:10 +0000
