=== debian/control ===
Source: kitinerary
Section: libs
Priority: optional
Uploaders: Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               doxygen,
               kf6-extra-cmake-modules,
               kf6-kcalendarcore-dev,
               kf6-kcontacts-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kpim6-kmime-dev,
               kpim6-pkpass-dev,
               libphonenumber-dev,
               libpoppler-private-dev,
               libpoppler-qt6-dev,
               libxml2-dev,
               libzxing-dev,
               osmctools,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev,
               qt6-declarative-dev,
               xauth,
               xvfb,
               zlib1g-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/pim/kitinerary/
Vcs-Git: https://invent.kde.org/neon/kde/kitinerary.git
Vcs-Browser: https://invent.kde.org/neon/kde/kitinerary
Maintainer: Neon CI <neon@kde.org>

Package: kpim6-itinerary
Architecture: any
X-Neon-MergedPackage: true
Depends: osmctools, ${misc:Depends}, ${shlibs:Depends}
Replaces: libkpimitinerary-data, libkpimitinerary5, libkpimitinerary6
Description: library for Travel Reservation information
 This library provides an API for Data Model and Extraction System for
 Travel Reservation information.

Package: kpim6-itinerary-dev
Architecture: any
X-Neon-MergedPackage: true
Depends: kf6-kcalendarcore-dev,
         kf6-kcontacts-dev,
         kpim6-itinerary (= ${binary:Version}),
         kpim6-kmime-dev,
         kpim6-pkpass-dev,
         qt6-base-dev,
         ${misc:Depends}
Replaces: libkpimitinerary-dev
Description: library for Travel Reservation information - development files
 This library provides an API for Data Model and Extraction System for
 Travel Reservation information.
 .
 This package contains the development files.

Package: libkpimitinerary-data
Architecture: all
Depends: kpim6-itinerary, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpimitinerary-dev
Architecture: all
Depends: kpim6-itinerary-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpimitinerary5
Architecture: all
Depends: kpim6-itinerary, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpimitinerary6
Architecture: all
Depends: kpim6-itinerary, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
