## kitinerary 25.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,23 +1,24 @@
-# SPDX-FileCopyrightText: 2018-2026 Laurent Montel <montel@kde.org>
+# SPDX-FileCopyrightText: 2018-2025 Laurent Montel <montel@kde.org>
 # SPDX-FileCopyrightText: 2018-2020 Volker Krause <vkrause@kde.org>
 # SPDX-License-Identifier: BSD-3-Clause
 
-cmake_minimum_required(VERSION 3.27)
+cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "26")
-set (RELEASE_SERVICE_VERSION_MINOR "03")
-set (RELEASE_SERVICE_VERSION_MICRO "70")
+set (RELEASE_SERVICE_VERSION_MAJOR "25")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "2")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
-set(PIM_VERSION "6.6.40")
+set(PIM_VERSION "6.6.2")
 project(KItinerary VERSION ${PIM_VERSION})
 
 set(QT_REQUIRED_VERSION "6.7.0")
-set(KF_MIN_VERSION "6.21.0")
+set(KF_MIN_VERSION "6.9.0")
 
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)
+set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 
 include(KDECompilerSettings NO_POLICY_SCOPE)
@@ -49,17 +50,19 @@
     find_package(SharedMimeInfo 1.3 REQUIRED)
 endif()
 
-set(KMIME_VERSION "6.6.40")
-set(PIM_PKPASS "6.6.40")
+set(KMIME_VERSION "6.6.2")
+set(PIM_PKPASS "6.6.2")
 
 find_package(KPim6Mime ${KMIME_VERSION} CONFIG REQUIRED)
 find_package(KPim6PkPass ${PIM_PKPASS} CONFIG REQUIRED)
 find_package(Poppler COMPONENTS Core)
 set_package_properties("Poppler" PROPERTIES TYPE REQUIRED PURPOSE "Support for extraction from PDF booking confirmations.")
-find_package(ZXing 2.0 CONFIG)
-if (NOT TARGET ZXing::ZXing)
-  find_package(ZXing 1.1.1 CONFIG)
-endif()
+foreach(ver 3.0 2.0 1.1.1)
+    find_package(ZXing ${ver} CONFIG QUIET)
+    if (TARGET ZXing::ZXing)
+        break()
+    endif()
+endforeach()
 set_package_properties("ZXing" PROPERTIES TYPE REQUIRED PURPOSE "Support for barcode decoding." URL "https://github.com/nu-book/zxing-cpp")
 find_package(ZLIB REQUIRED)
 set_package_properties("ZLIB" PROPERTIES PURPOSE "Support for decoding UIC 918-3 train tickets.")
@@ -105,11 +108,6 @@
 add_definitions(-DTRANSLATION_DOMAIN=\"kitinerary6\")
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
-    # Not setting for GNU due to too many warnings related to private members of base classes or around lambdas
-    # see e.g. https://gcc.gnu.org/bugzilla/show_bug.cgi?id=56556 or https://gcc.gnu.org/bugzilla/show_bug.cgi?id=79328
-    string(APPEND CMAKE_CXX_FLAGS " -Wshadow")
-endif()
 ecm_set_disabled_deprecation_versions(QT 6.9.0 KF 6.10.0)
