=== debian/changelog ===
kitinerary (25.12.2-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for poppler 26.01

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 19 Feb 2026 12:44:37 +0000

kitinerary (25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Sun, 08 Feb 2026 16:40:32 +0000

kitinerary (25.12.1-0ubuntu2) resolute; urgency=medium

  * Use arch:any in Ubuntu.

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Jan 2026 11:29:37 +0000

kitinerary (25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:06:16 +0000
